//======================================================================
// File:		pic16f628.cpp
// Author:	Matthias Toussaint
// Created:	Mon Jul 26 23:08:00 CET 2004
//----------------------------------------------------------------------
// Permission to use, copy, modify, and distribute this software and its
// documentation  for any  purpose and  without fee is  hereby  granted,
// provided  that below copyright notice appear  in all copies  and that
// both  that  copyright  notice and  this permission  notice  appear in
// supporting documentation.
// 
// This  file is  provided AS IS  with no  warranties  of any kind.  The
// author shall  have no liability  with respect  to the infringement of
// copyrights, trade  secrets  or any patents by  this file  or any part
// thereof.  In no event will the author be liable  for any lost revenue
// or profits or other special, indirect and consequential damages.
//----------------------------------------------------------------------
// (c) 2004 Matthias Toussaint
//======================================================================

#include <pic16f628.h>

Pic16F628::Pic16F628() :
  DIL( 18, "16F628" )
{
  setPinName( 0, "RA2" );
  setPinName( 1, "RA3" );
  setPinName( 2, "RA4" );
  setPinName( 3, "MCLR" );
  setPinName( 4, "VSS" );
  setPinName( 5, "RB0" );
  setPinName( 6, "RB1" );
  setPinName( 7, "RB2" );
  setPinName( 8, "RB3" );
  setPinName( 9, "RB4" );
  setPinName( 10, "RB5" );
  setPinName( 11, "RB6" );
  setPinName( 12, "RB7" );
  setPinName( 13, "VDD" );
  setPinName( 14, "OSC2" );
  setPinName( 15, "OSC1" );
  setPinName( 16, "RA0" );
  setPinName( 17, "RA1" );
}

Pic16F628::~Pic16F628()
{
}

