//======================================================================
// File:		instructiontraceview.h
// Author:	Matthias Toussaint
// Created:	Mon Jul 26 23:08:00 CET 2004
//----------------------------------------------------------------------
// Permission to use, copy, modify, and distribute this software and its
// documentation  for any  purpose and  without fee is  hereby  granted,
// provided  that below copyright notice appear  in all copies  and that
// both  that  copyright  notice and  this permission  notice  appear in
// supporting documentation.
// 
// This  file is  provided AS IS  with no  warranties  of any kind.  The
// author shall  have no liability  with respect  to the infringement of
// copyrights, trade  secrets  or any patents by  this file  or any part
// thereof.  In no event will the author be liable  for any lost revenue
// or profits or other special, indirect and consequential damages.
//----------------------------------------------------------------------
// (c) 2004 Matthias Toussaint
//======================================================================

#ifndef INSTRUCTIONTRACEVIEW_HH
#define INSTRUCTIONTRACEVIEW_HH

#include <uiinstructiontraceview.h>

class Pic;

class InstructionTraceView : public UIInstructionTraceView
{
  Q_OBJECT
public:
  InstructionTraceView( QWidget *parent=0, const char *name=0 );
  virtual ~InstructionTraceView();
  
  void setPic( Pic * );

signals:
  void showPc( int );
      
public slots:
  void refreshSLOT();
          
};

#endif // INSTRUCTIONTRACEVIEW_HH
