//======================================================================
// File:		labeltableitem.h
// Author:	Matthias Toussaint
// Created:	Mon Jul 26 23:08:00 CET 2004
//----------------------------------------------------------------------
// Permission to use, copy, modify, and distribute this software and its
// documentation  for any  purpose and  without fee is  hereby  granted,
// provided  that below copyright notice appear  in all copies  and that
// both  that  copyright  notice and  this permission  notice  appear in
// supporting documentation.
// 
// This  file is  provided AS IS  with no  warranties  of any kind.  The
// author shall  have no liability  with respect  to the infringement of
// copyrights, trade  secrets  or any patents by  this file  or any part
// thereof.  In no event will the author be liable  for any lost revenue
// or profits or other special, indirect and consequential damages.
//----------------------------------------------------------------------
// (c) 2004 Matthias Toussaint
//======================================================================

#ifndef LABELTABLEITEM_HH
#define LABELTABLEITEM_HH

#include <qtable.h>

class LabelTableItem : public QTableItem
{
public:
  LabelTableItem( QTable *, const QString & label, 
                  int flags=AlignLeft|AlignVCenter, bool bold=false );
  virtual ~LabelTableItem();
  
protected:
  int   m_flags;
  bool  m_bold;
  
  virtual void paint( QPainter *p, const QColorGroup & cg, 
                      const QRect & rect, bool );
  
};

#endif // LABELTABLEITEM_HH
